From 330f3bd2ed4a1edfd379c34330370de59978b373 Mon Sep 17 00:00:00 2001
From: William Brown <firstyear@redhat.com>
Date: Wed, 19 Oct 2016 14:44:20 +1000
Subject: [PATCH] Ticket 49011 - Remove configure artifacts

Bug Description:  We should remove configure artifacts from the server
git repo. See http://www.port389.org/docs/389ds/design/configure-artifacts.html

Fix Description:  for i in `cat .gitignore`; do rm -rf $i; done

https://fedorahosted.org/389/ticket/49011

Author: wibrown

Review by: ???
---
 .gitignore              |    24 +
 Makefile.in             | 10868 --------------------
 aclocal.m4              |  1186 ---
 compile                 |   347 -
 config.guess            |  1421 ---
 config.h.in             |   477 -
 config.sub              |  1807 ----
 configure               | 25103 ----------------------------------------------
 depcomp                 |   791 --
 install-sh              |   501 -
 ltmain.sh               | 11147 --------------------
 m4/libtool.m4           |  8372 ----------------
 m4/ltoptions.m4         |   437 -
 m4/ltsugar.m4           |   124 -
 m4/ltversion.m4         |    23 -
 m4/lt~obsolete.m4       |    99 -
 missing                 |   215 -
 rpm/389-ds-base.spec.in |     7 +
 18 files changed, 31 insertions(+), 62918 deletions(-)
 delete mode 100644 Makefile.in
 delete mode 100644 aclocal.m4
 delete mode 100755 compile
 delete mode 100755 config.guess
 delete mode 100644 config.h.in
 delete mode 100755 config.sub
 delete mode 100755 configure
 delete mode 100755 depcomp
 delete mode 100755 install-sh
 delete mode 100644 ltmain.sh
 delete mode 100644 m4/libtool.m4
 delete mode 100644 m4/ltoptions.m4
 delete mode 100644 m4/ltsugar.m4
 delete mode 100644 m4/ltversion.m4
 delete mode 100644 m4/lt~obsolete.m4
 delete mode 100755 missing

diff --git a/.gitignore b/.gitignore
index f92bcd8..a1adba1 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,4 +1,28 @@
 autom4te.cache
+m4/libtool.m4
+m4/ltoptions.m4
+m4/ltsugar.m4
+m4/ltversion.m4
+m4/lt~obsolete.m4
+Makefile.in
+aclocal.m4
+ar-lib
+compile
+config.guess
+config.h.in
+config.h.in~
+config.sub
+configure
+depcomp
+install-sh
+ltmain.sh
+missing
+Makefile
+config.h
+config.log
+config.status
+libtool
+stamp-h1
 *~
 *.patch
 .autotools
diff --git a/rpm/389-ds-base.spec.in b/rpm/389-ds-base.spec.in
index b3adc77..3cdafa6 100644
--- a/rpm/389-ds-base.spec.in
+++ b/rpm/389-ds-base.spec.in
@@ -86,6 +86,10 @@ BuildRequires:    systemd-devel
 %if %{use_asan}
 BuildRequires:    libasan
 %endif
+# Needed to support regeneration of the autotool artifacts.
+BuildRequires:    autoconf
+BuildRequires:    automake
+BuildRequires:    libtool
 
 # this is needed for using semanage from our setup scripts
 Requires:         policycoreutils-python
@@ -274,6 +278,9 @@ NUNC_STANS_FLAGS="--enable-nunc-stans --with-nunc-stans=../nunc-stans-%{nunc_sta
 ASAN_FLAGS="--enable-asan --enable-debug"
 %endif
 
+# Rebuild the autotool artifacts now.
+autoreconf -fiv
+
 %configure --enable-autobind --with-selinux $OPENLDAP_FLAG $TMPFILES_FLAG \
            --with-systemdsystemunitdir=%{_unitdir} \
            --with-systemdsystemconfdir=%{_sysconfdir}/systemd/system \
-- 
1.8.3.1

